eoPopLoopEval(3)

NAME
eoPopLoopEval - eoPopLoopEval: an instance of eoPopEvalFunc that simply applies a private eoEvalFunc to all offspring

SYNOPSIS

#include <eoPopEvalFunc.h>

Inherits eoPopEvalFunc< EOT >< EOT >.

  Public Member Functions
eoPopLoopEval (eoEvalFunc< EOT > &_eval)
Ctor: set value of embedded eoEvalFunc.
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
Do the job: simple loop over the offspring.

  Private Attributes
eoEvalFunc< EOT > & eval

Detailed Description

  template<class EOT> class eoPopLoopEval< EOT >
eoPopLoopEval: an instance of eoPopEvalFunc that simply applies a private eoEvalFunc to all offspring

Definition at line 60 of file eoPopEvalFunc.h.

Author

Generated automatically by Doxygen for EO from the source code.